Bug 163368 - [patch] audio/id3lib: unbreak build with clang/gcc46
Summary: [patch] audio/id3lib: unbreak build with clang/gcc46
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-16 22:30 UTC by Jan Beich
Modified: 2012-01-23 20:50 UTC (History)
0 users

See Also:


Attachments
gcc43.diff (737 bytes, patch)
2011-12-16 22:30 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Edwin Groothuis freebsd_committer 2011-12-16 22:30:41 UTC
Maintainer of audio/id3lib,

Please note that PR ports/163368 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/163368

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-12-16 22:30:45 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Martin Wilke freebsd_committer 2011-12-17 16:52:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 4 Martin Wilke freebsd_committer 2012-01-14 19:16:57 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2012-01-14 19:16:57 UTC
miwi        2012-01-14 19:16:49 UTC

  FreeBSD ports repository

  Modified files:
    audio/id3ed          Makefile 
  Log:
  - Unbreak with CLANG/GCC46
  
  PR:             163368
  Submitted by:   Jan Beich <jbeich@tormail.net>
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.19      +8 -0      ports/audio/id3ed/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Pav Lucistnik freebsd_committer 2012-01-23 09:33:14 UTC
State Changed
From-To: closed->open
Comment 7 Pav Lucistnik freebsd_committer 2012-01-23 09:33:14 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Reopen
Comment 8 Chris Rees freebsd_committer 2012-01-23 19:22:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 9 Chris Rees 2012-01-23 19:24:24 UTC
Much as I admire your sed-work here, a patchfile would be better for
sending upstream.

I will commit your fix though; saves me some effort.

Chris
Comment 10 dfilter service freebsd_committer 2012-01-23 20:40:15 UTC
crees       2012-01-23 20:39:56 UTC

  FreeBSD ports repository

  Modified files:
    audio/id3lib         Makefile 
  Log:
  Unbreak clang/gcc46 build
  
  PR:             ports/163368
  Submitted by:   Jan Beich <jbeich@tormail.net>
  Approved by:    maintainer timeout (kaeru@inigo-tech.com, >28d)
  
  Revision  Changes    Path
  1.32      +8 -0      ports/audio/id3lib/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Chris Rees freebsd_committer 2012-01-23 20:43:06 UTC
State Changed
From-To: open->closed

Committed. Thanks!